- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files
- Directories
- Examples

- Class List
- Class Hierarchy
- Class Members

Classes | Public Types | Public Member Functions

# QIconEngineV2 Class Reference

Search for all occurrences

## Detailed Description

Definition at line 73 of file qiconengine.h.

`#include <qiconengine.h>`

Inheritance diagram for QIconEngineV2:
[legend]

List of all members.

## Classes
struct | AvailableSizesArgument
## Public Types
enum | IconEngineHook { AvailableSizesHook = 1, IconNameHook }
## Public Member Functions
virtual QString | key () const
virtual QIconEngineV2 * | clone () const
virtual bool | read (QDataStream &in)
virtual bool | write (QDataStream &out) const
virtual void | virtual_hook (int id, void *data)
QList< QSize > | availableSizes (QIcon::Mode mode=QIcon::Normal, QIcon::State state=QIcon::Off)
QString | iconName ()

## Member Enumeration Documentation

enum IconEngineHook

Search for all occurrences

Enumerator:

  AvailableSizesHook | Search for all occurrences
  IconNameHook | Search for all occurrences

Definition at line 83 of file qiconengine.h.

    { AvailableSizesHook = 1, IconNameHook };

## Member Function Documentation

virtual QString key | ( |  | ) | const `[virtual]`

Search for all occurrences

virtual QIconEngineV2* clone | ( |  | ) | const `[virtual]`

Search for all occurrences

virtual bool read | ( | QDataStream & | in | ) | `[virtual]`

Search for all occurrences

virtual bool write | ( | QDataStream & | out | ) | const `[virtual]`

Search for all occurrences

virtual void virtual_hook | ( | int | id,
|  | void * | data
| ) |  | `[virtual]`

Search for all occurrences

QList<QSize> availableSizes | ( | QIcon::Mode | mode = `QIcon::Normal`,
|  | QIcon::State | state = `QIcon::Off`
| ) |  |

Search for all occurrences

QString iconName | ( |  | ) |

Search for all occurrences

The documentation for this class was generated from the following file:

- QtGui/qiconengine.h

QIconEngineV2 QIconEngineV2 QIconEngineV2 QIconEngineV2 QIconEngineV2 QIconEngineV2 QIconEngineV2 QIconEngineV2 QIconEngineV2 QIconEngineV2
QIconEngineV2 QIconEngineV2 QIconEngineV2 QIconEngineV2 QIconEngineV2 QIconEngineV2 QIconEngineV2 QIconEngineV2 QIconEngineV2 QIconEngineV2